Package org.apache.calcite.avatica.util

## Class Unsafe

- java.lang.Object
- - org.apache.calcite.avatica.util.Unsafe

    public class Unsafe
    extends java.lang.Object

Contains methods that call JDK methods that the forbidden APIs checker does not approve of.

This class is excluded from the check, so methods called via this class will not fail the build.

### Constructor Summary

Constructors
`private` `Unsafe()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `formatLocalString​(java.lang.String format, java.lang.Object... args)` Returns a `String`, created from the given format and args, with the root locale.
`static java.util.Calendar` `localCalendar()` Returns a `Calendar` with the local time zone and root locale.
`static void` `notifyAll​(java.lang.Object o)` Calls `Object.notifyAll()`.
`static void` `systemExit​(int status)` Calls `System.exit(int)`.
`static void` `wait​(java.lang.Object o)` Calls `Object.wait()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Unsafe

    private Unsafe()

### Method Detail

#### systemExit

    public static void systemExit​(int status)

Calls `System.exit(int)`.

#### notifyAll

    public static void notifyAll​(java.lang.Object o)

Calls `Object.notifyAll()`.

#### wait

    public static void wait​(java.lang.Object o)
                     throws java.lang.InterruptedException

Calls `Object.wait()`.

Throws:
  `java.lang.InterruptedException`

#### localCalendar

    public static java.util.Calendar localCalendar()

Returns a `Calendar` with the local time zone and root locale.

#### formatLocalString

    public static java.lang.String formatLocalString​(java.lang.String format,
                                                     java.lang.Object... args)

Returns a `String`, created from the given format and args, with the root locale. Analog to `String.format(String, Object...)`.

Parameters:
  `format` - The format string
  `args` - Arguments to be substituted into the format string.